| usbpsu Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

- All
- Functions
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- r
- s
- t
- u
- w

### - a -

- ALIGNMENT_CACHELINE : XUsbPsu_Ep , XUsbPsu
- AppData : XUsbPsu

### - b -

- BaseAddress : XUsbPsu_Config , XUsbPsu
- bRequest : __attribute__
- bRequestType : __attribute__
- BuffAddr : XUsbPsu_EvtBuffer
- BufferPtr : XUsbPsu_Ep
- BufferPtrHigh : XUsbPsu_Trb
- BufferPtrLow : XUsbPsu_Trb
- BytesTxed : XUsbPsu_Ep

### - c -

- Chapter9 : XUsbPsu
- ConfigDesc : XUsbPsu
- ConfigDescSize : XUsbPsu
- ConfigPtr : XUsbPsu
- ControlDir : XUsbPsu
- Count : XUsbPsu_EvtBuffer
- Ctrl : XUsbPsu_Trb
- CurUf : XUsbPsu_Ep

### - d -

- data_ptr : XUsbPsu
- DevDesc : XUsbPsu
- DevDescSize : XUsbPsu
- Device_Event : XUsbPsu_Event_Devt , XUsbPsu_Event_Gevt
- DeviceId : XUsbPsu_Config
- Devt : XUsbPsu_Event
- Direction : XUsbPsu_Ep
- DisconnectIntrHandler : XUsbPsu

### - e -

- EnableSuperSpeed : XUsbPsu_Config
- Endpoint_Event : XUsbPsu_Event_Epevt
- Ep0State : XUsbPsu
- Epevt : XUsbPsu_Event
- Epnumber : XUsbPsu_Event_Epevt
- EpParams : XUsbPsu
- eps : XUsbPsu
- EpSavedState : XUsbPsu_Ep
- EpStatus : XUsbPsu_Ep
- Event_Info : XUsbPsu_Event_Devt
- Evt : XUsbPsu

### - f -

- Flags : XUsbPsu_EvtBuffer

### - g -

- Gevt : XUsbPsu_Event

### - h -

- Handler : XUsbPsu_Ep
- HasHibernation : XUsbPsu

### - i -

- Interval : XUsbPsu_Ep
- Is_DevEvt : XUsbPsu_Event_Type , XUsbPsu_Event_Devt
- Is_EpEvt : XUsbPsu_Event_Epevt
- Is_GlobalEvt : XUsbPsu_Event_Gevt
- IsCacheCoherent : XUsbPsu_Config
- IsConfigDone : XUsbPsu
- IsHibernated : XUsbPsu
- IsInTestMode : XUsbPsu
- IsThreeStage : XUsbPsu

### - l -

- LinkState : XUsbPsu

### - m -

- MaxSize : XUsbPsu_Ep

### - n -

- NumInEps : XUsbPsu
- NumOutEps : XUsbPsu

### - o -

- Offset : XUsbPsu_EvtBuffer

### - p -

- Param0 : XUsbPsu_EpParams
- Param1 : XUsbPsu_EpParams
- Param2 : XUsbPsu_EpParams
- Parameters : XUsbPsu_Event_Epevt
- Phy_Port_Number : XUsbPsu_Event_Gevt
- PhyEpNum : XUsbPsu_Ep
- PrivateData : Usb_DevData

### - r -

- Raw : XUsbPsu_Event
- RequestedBytes : XUsbPsu_Ep
- Reserved11_10 : XUsbPsu_Event_Epevt
- Reserved15_12 : XUsbPsu_Event_Devt
- Reserved31_12 : XUsbPsu_Event_Gevt
- Reserved31_25 : XUsbPsu_Event_Devt
- Reserved8_31 : XUsbPsu_Event_Type
- ResetIntrHandler : XUsbPsu
- ResourceIndex : XUsbPsu_Ep

### - s -

- Size : XUsbPsu_Trb
- Speed : Usb_DevData
- State : Usb_DevData
- Status : XUsbPsu_Event_Epevt

### - t -

- TestMode : XUsbPsu
- TrbDequeue : XUsbPsu_Ep
- TrbEnqueue : XUsbPsu_Ep
- Type : XUsbPsu_Event_Type , XUsbPsu_Ep , XUsbPsu_Event_Devt , XUsbPsu_Event

### - u -

- UnalignedTx : XUsbPsu_Ep , XUsbPsu
- UsbEpNum : XUsbPsu_Ep

### - w -

- wIndex : __attribute__
- wLength : __attribute__
- wValue : __attribute__